net.sf.okapi.lib.xliff2.document

## Class FileNode

- java.lang.Object
- - net.sf.okapi.lib.xliff2.document.WithGroupOrUnitNode
  - - net.sf.okapi.lib.xliff2.document.FileNode

- All Implemented Interfaces:
    IWithGroupOrUnitNode

      public class FileNode
      extends WithGroupOrUnitNode
      implements IWithGroupOrUnitNode

  Represents a <file> node.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileNode(StartFileData data)` Creates a new `FileNode` object with a given `StartFileData` resource.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<Event>` | `createEventIterator(java.util.Stack<URIContext> uriContext)` Create an iterator for the event for this file node.
    `MidFileData` | `getMidData()` Gets the `MidFileData` resource for this file node.
    `Skeleton` | `getSkeletonData()` Gets the `Skeleton` for this file node.
    `StartFileData` | `getStartData()` Gets the `StartFileData` object for this file node.
    `void` | `setMidData(MidFileData data)` Sets the `MidFileData` resource for this file node.
    `void` | `setSkeletonData(Skeleton data)` Sets the `Skeleton` resource for this file node.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.document.WithGroupOrUnitNode

      `add, add, addGroupNode, addUnitNode, createGroupOrUnitIterator, getGroupNode, getUnitNode, getUnitNodes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.okapi.lib.xliff2.document.IWithGroupOrUnitNode

      `add, add, addGroupNode, addUnitNode, createGroupOrUnitIterator, getGroupNode, getUnitNode, getUnitNodes`

- - ### Constructor Detail

    - #### FileNode

          public FileNode(StartFileData data)

      Creates a new `FileNode` object with a given `StartFileData` resource.
      Parameters:
        `data` - the resource to attach to this node.

  - ### Method Detail

    - #### getStartData

          public StartFileData getStartData()

      Gets the `StartFileData` object for this file node.
      Returns:
        the `StartFileData` object for this file node.

    - #### setMidData

          public void setMidData(MidFileData data)

      Sets the `MidFileData` resource for this file node.
      Parameters:
        `data` - the `MidFileData` object for this file node.

    - #### getMidData

          public MidFileData getMidData()

      Gets the `MidFileData` resource for this file node.
      Returns:
        the `MidFileData` for this file node.

    - #### setSkeletonData

          public void setSkeletonData(Skeleton data)

      Sets the `Skeleton` resource for this file node.
      Parameters:
        `data` - the `Skeleton` object for this file node.

    - #### getSkeletonData

          public Skeleton getSkeletonData()

      Gets the `Skeleton` for this file node.
      Returns:
        the `Skeleton` for this file node.

    - #### createEventIterator

          public java.util.Iterator<Event> createEventIterator(java.util.Stack<URIContext> uriContext)

      Create an iterator for the event for this file node.
      Parameters:
        `uriContext` - the URI context.
      Returns:
        a new iterator for the events in this file node.